[package]
name = "sfml-rust"
version = "0.1.0"
authors = ["MitchellHansen <mitchellhansen0@gmail.com>"]
edition = "2018"

[dependencies]
cgmath = "0.17.0"
simple-stopwatch="0.1.4"
nalgebra = "0.18.0"
image = "0.21.2"
rand = "0.6.5"
#vulkano = "0.13.0"
vulkano = {path = "../vulkano/vulkano"}
#vulkano-shaders = "0.14.0"
vulkano-shaders = {path = "../vulkano/vulkano-shaders"}
#vulkano-win = "0.14.0"
vulkano-win= {path = "../vulkano/vulkano-win"}
time = "0.1.38"
shaderc = "0.6.1"
#shade_runner = {version = "0.1.1", git = "https://github.com/MitchellHansen/shade_runner"}
shade_runner = {path = "../shade_runner"}
winit = "0.19.1"
#criterion = "0.3.0"
hprof = "0.1.3"
rusttype = { version = "0.7.0", features = ["gpu_cache"] }
